process FRAGMENT_ENZYME {
    tag "$digestion"
    label "process_single"

    conda "conda-forge::python=3.9 conda-forge::biopython=1.80 conda-forge::numpy=1.22.3 conda-forge::matplotlib=3.6.3 conda-forge::pandas=1.5.3"
    container = "docker.io/lbmc/hicstuff:3.1.3"

    input:
    val(digestion)
    tuple val(meta), path(fasta)

    output:
    tuple val(meta), path(params.hicstuff_output_contigs) , emit: info_contigs
    tuple val(meta), path(params.hicstuff_output_frags), emit: fragments_list
    path("*.pdf"), optional: true

    script:

    def args = task.ext.args ?: ''

    """
    hicstuff_fragments.py -e ${digestion} -i ${fasta} ${args}
    """

}
